<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.7.2</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.syjy</groupId>
    <artifactId>calculation-spring-boot-starter</artifactId>
    <version>0.0.15</version>
    <!--<version>0.0.15-SNAPSHOT</version>-->
    <name>calculation</name>
    <description>Demo project for Spring Boot</description>
    <properties>
        <java.version>1.8</java.version>
    </properties>
    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.24</version>
            <scope>compile</scope>
        </dependency>

        <!--mysql 驱动-->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>

        <!--本地使用时候放开-->
        <!--<dependency>-->
            <!--<groupId>kingbasejdbc4</groupId>-->
            <!--<artifactId>kingbasejdbc4</artifactId>-->
            <!--<version>1</version>-->
        <!--</dependency>-->

        <!--发布时候放开-->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <version>2.2.0.RELEASE</version>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- druid 连接池 -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
            <version>1.1.20</version>
        </dependency>

        <!-- java规则引擎(表达式解析器) -->
        <dependency>
            <groupId>com.googlecode.aviator</groupId>
            <artifactId>aviator</artifactId>
            <version>5.2.6</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-jdbc</artifactId>
            <version>3.0.1</version>
            <scope>compile</scope>
        </dependency>
        <!--fast json 版本-->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.69</version>
        </dependency>

        <!--负责从properties文件中读取配置信息-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-configuration-processor</artifactId>
            <version>2.7.2</version>
        </dependency>
        <!--实现自动化配置-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-autoconfigure</artifactId>
            <version>2.7.2</version>
        </dependency>
        <!--生成sql脚本工具-->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.3.5</version>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>2.6</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-thymeleaf</artifactId>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <version>5.4.8.Final</version>
        </dependency>

    </dependencies>

    <distributionManagement>

        <!--<repository>-->
            <!--<id>jiayue-releases</id>-->
            <!--<name>Nexus Release Repository</name>-->
            <!--<url>http://49.4.68.219:8888/repository/jiayue-releases/</url>-->
        <!--</repository>-->
        <!--<snapshotRepository>-->
            <!--<id>jiayue-snapshots</id>-->
            <!--<name>Nexus Snapshot Repository</name>-->
            <!--<url>http://49.4.68.219:8888/repository/jiayue-snapshots/</url>-->
        <!--</snapshotRepository>-->

        <!--csc-->
        <repository>
            <id>jiayue-csc-releases</id>
            <url>http://49.4.68.219:8888/repository/jiayue-csc-releases/</url>
        </repository>
        <snapshotRepository>
            <id>jiayue-csc-snapshots</id>
            <url>http://49.4.68.219:8888/repository/jiayue-csc-snapshots/</url>
        </snapshotRepository>

    </distributionManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                    <mainClass>com.syjy.calculate.CalculationApplication</mainClass>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <!--跳过test类-->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.21.0</version>
                <configuration>
                    <skipTests>true</skipTests>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
